AG_GUIDEBUGGER(3)

NAME
AG_GuiDebugger - agar GUI debugging tool

SYNOPSIS

    #include <agar/core.h>
    #include <agar/gui.h>

DESCRIPTION
The Agar GUI debugger is available when the Agar library is compiled with the ‘--enable-debug’ option. The GUI debugger allows the tree of windows and widgets to be inspected in extensive detail.

INTERFACE
AG_Window * AG_GuiDebugger(void)

The AG_GuiDebugger() function creates the GUI debugger window. The caller should invoke AG_WindowShow(3) to display it.

SEE ALSO
AG_Intro(3), AG_Widget(3), AG_Window(3)

HISTORY
The AG_GuiDebugger tool first appeared in Agar 1.3.4.